Release Wikipedia for iOS v 5.1.0 build 918.1
Closed, ResolvedPublic

Description

Release version: 5.1.0
Release tag: releases/5.1.0.918.1
Release SHA1: 47e127b30deeda40c147815db6cec8572031c1f6
App Store Submission Date: 8/26/2016
App Store Approval Date: 8/28/2016
App Store Release Date: 8/30/2016
Regression Testing URL: https://docs.google.com/a/wikimedia.org/spreadsheets/d/1hczd9lNFt9gts9ukQf2JouWY3FjVO510WrdI4_Rndvs/edit?usp=drive_web


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Point current status at this card
  • Coordinate with Comms on PR/social announcement (find in page, particularly)
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC for internal testing on iTunes Connect
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Draft "What’s New" for iTunes Connect
  • Draft new App Store Description
  • Upload new screenshots & app icons to iTunes Connect T143583: New screenshots for the 5.1 app store release
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received from TSG in Hockey App
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Update HockeyApp console to mark build as released once released
  • Notify Comms that release is live if major release
  • Notify Comms to post on Twitter and Facebook
  • Post on mobile-l
JMinor created this task.Aug 22 2016, 7:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2016, 7:56 PM
JMinor triaged this task as High priority.Aug 22 2016, 7:56 PM
JMinor renamed this task from Release Wikipedia for iOS v 5.1.0 build TBD to Release Wikipedia for iOS v 5.1.0 build 916.1.Aug 25 2016, 11:03 PM
JMinor updated the task description. (Show Details)
JMinor renamed this task from Release Wikipedia for iOS v 5.1.0 build 916.1 to Release Wikipedia for iOS v 5.1.0 build 918.1.Aug 26 2016, 7:04 PM

Couple must fix issues reported, they have been fixed T144044: Fix bug where blacklisted titles are not removed from the feed, but bumped the build number.

We will still submit to Apple today, and should still be okay for release on Tuesday, given the recent approval timelines.

JMinor updated the task description. (Show Details)Aug 29 2016, 7:42 PM
JMinor updated the task description. (Show Details)Aug 30 2016, 4:49 PM

@jberkel the 5.1.0 release with your patch is up on the store. Thanks again for the great addition.

@JMinor great, that was quick! last missing part would be to document these schemes somewhere. Where should this go? The doc folder of the repo?

JMinor updated the task description. (Show Details)
JMinor moved this task from Doing to Ready for PM Signoff on the iOS-app-v5.1.0-Saturn board.

@jberkel Good question... I'd say maybe on the product wiki page, but the git docs are probably more useful/likely to be seen by developers.

@Fjalapeno thoughts on best place to document the URL scheme for other devs?

JMinor closed this task as Resolved.Sep 19 2016, 6:14 PM